# Created by pyp2rpm-2.0.0

Name:           python-pypandoc
Version:        1.1.3
Release:        2%{?dist}
Summary:        Thin wrapper for pandoc

License:        MIT
URL:            https://github.com/bebraw/pypandoc
Source0:        https://pypi.python.org/packages/source/p/pypandoc/pypandoc-%{version}.zip
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# for tests
BuildRequires:  pandoc
BuildRequires:  pandoc-citeproc
BuildRequires:  texlive-scheme-basic
BuildRequires:  texlive-collection-fontsrecommended

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description \
pypandoc provides a thin Python wrapper for pandoc, a universal \
document converter, allowing parsing and conversion of          \
pandoc-formatted text.

%description %_description

%package -n     python2-pypandoc
Summary:        %{summary}
%{?python_provide:%python_provide python2-pypandoc}
Requires:       pandoc
Requires:       pandoc-citeproc
Recommends:     texlive-scheme-basic
Recommends:     texlive-collection-fontsrecommended

%description -n python2-pypandoc  %_description

%package -n     python3-pypandoc
Summary:        %{summary}
%{?python_provide:%python_provide python3-pypandoc}
Requires:       pandoc
Requires:       pandoc-citeproc
Recommends:     texlive-scheme-basic
Recommends:     texlive-collection-fontsrecommended

%description -n python3-pypandoc  %_description

%prep
%autosetup -n pypandoc-%{version}
rm -v pypandoc/files/*.exe
mv pypandoc/files/COPYRIGHT.txt .

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} tests.py
%{__python3} tests.py

%global _docdir_fmt %{name}

%files -n python2-pypandoc
%license COPYRIGHT.txt
%doc README.md examples/
%{python2_sitelib}/pypandoc
%{python2_sitelib}/pypandoc-%{version}-py?.?.egg-info

%files -n python3-pypandoc
%license COPYRIGHT.txt
%doc README.md examples/
%{python3_sitelib}/pypandoc
%{python3_sitelib}/pypandoc-%{version}-py?.?.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Apr 07 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.3-1
- Initial package.
